javax.swing.plaf.basic

## Class BasicColorChooserUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ColorChooserUI
    - - javax.swing.plaf.basic.BasicColorChooserUI

    public class BasicColorChooserUI
    extends ColorChooserUI

Provides the basic look and feel for a JColorChooser.

### Nested Class Summary

Nested Classes
`class` `BasicColorChooserUI.PropertyHandler` This inner class is marked "public" due to a compiler bug.

### Field Summary

Fields
`protected JColorChooser` `chooser` JColorChooser this BasicColorChooserUI is installed on.
`protected AbstractColorChooserPanel[]` `defaultChoosers`
`protected ChangeListener` `previewListener`
`protected PropertyChangeListener` `propertyChangeListener`

### Constructor Summary

Constructors
Constructor and Description
`BasicColorChooserUI()`

### Method Summary

Methods
`protected AbstractColorChooserPanel[]` `createDefaultChoosers()`
`protected PropertyChangeListener` `createPropertyChangeListener()`
`static ComponentUI` `createUI(JComponent c)`
`protected void` `installDefaults()`
`protected void` `installListeners()`
`protected void` `installPreviewPanel()`
`void` `installUI(JComponent c)` Configures the specified component appropriate for the look and feel.
`protected void` `uninstallDefaultChoosers()`
`protected void` `uninstallDefaults()`
`protected void` `uninstallListeners()`
`void` `uninstallUI(JComponent c)` Reverses configuration which was done on the specified component during `installUI`.

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### chooser

    protected JColorChooser chooser

JColorChooser this BasicColorChooserUI is installed on.

Since:
  1.5

#### defaultChoosers

    protected AbstractColorChooserPanel[] defaultChoosers

#### previewListener

    protected ChangeListener previewListener

#### propertyChangeListener

    protected PropertyChangeListener propertyChangeListener

### Constructor Detail

#### BasicColorChooserUI

    public BasicColorChooserUI()

### Method Detail

#### createUI

    public static ComponentUI createUI(JComponent c)

#### createDefaultChoosers

    protected AbstractColorChooserPanel[] createDefaultChoosers()

#### uninstallDefaultChoosers

    protected void uninstallDefaultChoosers()

#### installUI

    public void installUI(JComponent c)

Description copied from class: `ComponentUI`
Configures the specified component appropriate for the look and feel. This method is invoked when the `ComponentUI` instance is being installed as the UI delegate on the specified component. This method should completely configure the component for the look and feel, including the following:

1. Install any default property values for color, fonts, borders, icons, opacity, etc. on the component. Whenever possible, property values initialized by the client program should not be overridden.
2. Install a `LayoutManager` on the component if necessary.
3. Create/add any required sub-components to the component.
4. Create/install event listeners on the component.
5. Create/install a `PropertyChangeListener` on the component in order to detect and respond to component property changes appropriately.
6. Install keyboard UI (mnemonics, traversal, etc.) on the component.
7. Initialize any appropriate instance data.

Overrides:
  `installUI` in class `ComponentUI`
Parameters:
  `c` - the component where this UI delegate is being installed
See Also:
  `ComponentUI.uninstallUI(javax.swing.JComponent)`, `JComponent.setUI(javax.swing.plaf.ComponentUI)`, `JComponent.updateUI()`

#### uninstallUI

    public void uninstallUI(JComponent c)

Description copied from class: `ComponentUI`
Reverses configuration which was done on the specified component during `installUI`. This method is invoked when this `UIComponent` instance is being removed as the UI delegate for the specified component. This method should undo the configuration performed in `installUI`, being careful to leave the `JComponent` instance in a clean state (no extraneous listeners, look-and-feel-specific property objects, etc.). This should include the following:

1. Remove any UI-set borders from the component.
2. Remove any UI-set layout managers on the component.
3. Remove any UI-added sub-components from the component.
4. Remove any UI-added event/property listeners from the component.
5. Remove any UI-installed keyboard UI from the component.
6. Nullify any allocated instance data objects to allow for GC.

Overrides:
  `uninstallUI` in class `ComponentUI`
Parameters:
  `c` - the component from which this UI delegate is being removed; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
See Also:
  `ComponentUI.installUI(javax.swing.JComponent)`, `JComponent.updateUI()`

#### installPreviewPanel

    protected void installPreviewPanel()

#### installDefaults

    protected void installDefaults()

#### uninstallDefaults

    protected void uninstallDefaults()

#### installListeners

    protected void installListeners()

#### createPropertyChangeListener

    protected PropertyChangeListener createPropertyChangeListener()

#### uninstallListeners

    protected void uninstallListeners()

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.